Package icyllis.arc3d.granite

# Class ClipResult_old

java.lang.Object
icyllis.arc3d.granite.ClipResult_old

All Implemented Interfaces:
  `Cloneable`

public final class ClipResult_old extends Object implements Cloneable
Produced by `Clip_old`. It provides a set of modifications to the drawing state that implements the clip.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClipResult_old()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `addScissor(Rect2ic rect, Rect2f clippedBounds)`
  Intersects the clip state with the provided rect.
  `ClipResult_old`
  `clone()`
  `boolean`
  `equals(Object o)`
  `int`
  `getScissorX0()`
  `int`
  `getScissorX1()`
  `int`
  `getScissorY0()`
  `int`
  `getScissorY1()`
  `int`
  `getStencilSeq()`
  `boolean`
  `hasClip()`
  `int`
  `hashCode()`
  `boolean`
  `hasScissorClip()`
  Should scissor clip be applied?
  `boolean`
  `hasStencilClip()`
  Should stencil clip be applied?
  `ClipResult_old`
  `init(int logicalWidth, int logicalHeight, int physicalWidth, int physicalHeight)`
  Call this method before use.
  `void`
  `setScissor(int l, int t, int r, int b)`
  `void`
  `setStencil(int seq)`
  Sets the sequence number of the stencil mask.

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ClipResult_old

    public ClipResult_old()

- ## Method Details

  - ### init

    public ClipResult_old init(int logicalWidth, int logicalHeight, int physicalWidth, int physicalHeight)
    Call this method before use.

    There are two kinds of sizes. Sometimes we create a larger texture but only use a subset of the area, thus it must be scissored.

  - ### addScissor

    public boolean addScissor(Rect2ic rect, Rect2f clippedBounds)
    Intersects the clip state with the provided rect. Returns false if the draw became empty. 'clippedBounds' will be intersected with 'rect'. This returns false if the clip becomes empty or the draw no longer intersects the clip. In either case the draw can be skipped.

  - ### setScissor

    public void setScissor(int l, int t, int r, int b)

  - ### hasScissorClip

    public boolean hasScissorClip()
    Should scissor clip be applied?

  - ### getScissorX0

    public int getScissorX0()

  - ### getScissorY0

    public int getScissorY0()

  - ### getScissorX1

    public int getScissorX1()

  - ### getScissorY1

    public int getScissorY1()

  - ### setStencil

    public void setStencil(int seq)
    Sets the sequence number of the stencil mask.

  - ### hasStencilClip

    public boolean hasStencilClip()
    Should stencil clip be applied?

  - ### getStencilSeq

    public int getStencilSeq()

  - ### hasClip

    public boolean hasClip()

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### clone

    public ClipResult_old clone()
    Overrides:
      `clone` in class `Object`